Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.assertion
Class Subject

    java.lang.Object
      oasis.names.tc.saml._1_0.assertion.Subject

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:38:34+02:00",
               comments="JAXB RI v2.3.6")
    public class Subject

extends Object
implements Serializable

Java class for SubjectType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}NameIdentifier"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectConfirmation" minOccurs="0"/>
             </sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectConfirmation"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Subject()`

Method Summary
`NameIdentifierType` | `getNameIdentifier()` Gets the value of the nameIdentifier property.
`SubjectConfirmation` | `getSubjectConfirmation()` Gets the value of the subjectConfirmation property.
`void` | `setNameIdentifier(NameIdentifierType value)` Sets the value of the nameIdentifier property.
`void` | `setSubjectConfirmation(SubjectConfirmation value)` Sets the value of the subjectConfirmation property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Subject

    public Subject()

Method Detail

### getNameIdentifier

    public NameIdentifierType getNameIdentifier()

  Gets the value of the nameIdentifier property.

  Returns:
    possible object is `NameIdentifierType`

### setNameIdentifier

    public void setNameIdentifier(NameIdentifierType value)

  Sets the value of the nameIdentifier property.

  Parameters:
    `value` - allowed object is `NameIdentifierType`

### getSubjectConfirmation

    public SubjectConfirmation getSubjectConfirmation()

  Gets the value of the subjectConfirmation property.

  Returns:
    possible object is `SubjectConfirmation`

### setSubjectConfirmation

    public void setSubjectConfirmation(SubjectConfirmation value)

  Sets the value of the subjectConfirmation property.

  Parameters:
    `value` - allowed object is `SubjectConfirmation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.